Name:           yasm
Version:        1.3.0
Release:        10
Summary:        NASM assembler
License:        BSD
URL:            http://yasm.tortall.net/
Source0:        http://www.tortall.net/projects/yasm/releases/yasm-1.3.0.tar.gz
Patch1:         yasm-1.3.0-sw.patch

BuildRequires:  gcc bison byacc gettext-devel xmlto
Provides:       bundled(md5-plumb)

%description
Yasm is a complete rewrite of the NASM assembler under the “new” BSD License.

%package devel
Summary:        The libraries and headers for yasm
Requires:       yasm  = %{version}-%{release}
Provides:       yasm-static = %{version}-%{release} bundled(md5-plumb)

%description devel
The package contains the libraries and headers necessary for the yasm Modular Assembler.

%package_help

%prep
%autosetup -p1

%build
%configure
%make_build

%install
rm -rf %{buildroot}
%make_install

%files
%license Artistic.txt BSD.txt COPYING GNU_GPL-2.0 GNU_LGPL-2.0
%doc AUTHORS
%{_bindir}/*

%files devel
%{_includedir}/*
%{_libdir}/libyasm.a

%files help
%{_mandir}/*

%changelog
* Wed Oct 26 2022 wuzx<wuzx1226@qq.com> - 1.3.0-10
- Add sw64 architecture

* Mon Jan 6 2020 qinjian <qinjian18@huawei.com> - 1.3.0-9
- Package init
